P1050148.JPG=Full collection - ironstone fossils gathered near Mazon Creek, Grundy County near Morris, IL.
P1050206.JPG=Unknown
P1050185.JPG=Unknown fern
P1050189.JPG=Unknown fern
P1050208.JPG=Unknown fern
P1050228.JPG=Unknown fern
P1050170.JPG=Unknown
P1050240.JPG=Unknown
P1050245.jpg=Crinoid segments
P1050194.JPG=Unknown fern
P1050244.jpg=Crinoid segments
P1050171.JPG=Accretion of ferns
P1050156.JPG=Leaf fragment
P1050200.JPG=Unknown fern
P1050224.JPG=Unknown fern
P1050226.JPG=Unknown fern
P1050243.jpg=Crinoid segments
crinoid_segments_2.jpg=Crinoid segments
coral.jpg=Coral fragment(?)
P1050222.JPG=Unknown fern
P1050242.JPG=Unknown
crinoid_segments_3.jpg=Crinoid segments
P1050212.JPG=Unknown fern
P1050211.JPG=Unknown fern
P1050165.JPG=Horsetail plant (genus Equisetum)
P1050230.JPG=Unknown fern
P1050204.JPG=Unknown
P1050193.JPG=Unknown fern
crinoid_segments_1.jpg=Crinoid segments
P1050232.JPG=Unknown fern
lumpy.jpg=Accretion of shells and etc. At least a bivalve shell, crinoid segment and a barnacle-like organism can be seen here.
P1050209.JPG=Unknown fern
P1050199.JPG=Unknown fern
P1050182.JPG=Unknown leaf
P1050175.JPG=Unknown Fern
P1050241.JPG=Unknown
P1050203.JPG=Unknown
P1050190.JPG=Unknown fern
P1050157.JPG=Leaf fragment
P1050153.JPG=Unknown fern
P1050191.JPG=Unknown fern
P1050166.JPG=Horsetail plant (genus Equisetum)
P1050177.JPG=Unknown Fern
P1050236.JPG=Unknown fern
P1050246.JPG=Miscellaneous shells and marine life
P1050155.JPG=Unknown, badly weathered
P1050173.JPG=Accretion of ferns
P1050195.JPG=Unknown fern
P1050184.JPG=Unknown fern
P1050183.JPG=Unknown fern
P1050218.JPG=Unknown fern
P1050192.JPG=Unknown fern
P1050210.JPG=Unknown fern
P1050172.JPG=Accretion of ferns
P1050176.JPG=Unknown Fern
P1050239.JPG=Unknown
P1050161.JPG=Horsetail plant (genus Equisetum)
P1050163.JPG=Horsetail plant (genus Equisetum)
P1050180.JPG=Unknown leaf
P1050213.JPG=Unknown fern
